# KicED

<img src="files/logo_colored.png" alt="" width="200"/>

Edwin and Kerem's KiCad library.

## Procedure of restructuring KicED

1. Create structure which can be added as submoduse to any  KiCAD project.
2. Document the process of implementeing the submodule
3. Document the process of adding (contributing) a new part.

*sources for markdown: https://www.markdownguide.org/extended-syntax/*

## 1. How to use this library

This library is intended to be used as a git submodule inside a git version controlled KiCAD project.

### 1.1 Adding the library to your KiCAD Project

Go to the desired directory where you want to place the library submodule inside your project. Ther you add KicED as submodule with the following comand.

```console
git submodule add https://git.keydev.me/Kerem/KicED
```
Then open your KiCAD project and go to ```Preferences```in the top left corner and select ```Manage Symbol Libraries...```. 

**TODO: explain how to incorperate library into KiCAD project**

You will need to add the relative KicED paths with respect to your KiCAD project by using the environment variable ```${KIPRJMOD}\<...>```


*source*
- *https://git-scm.com/book/en/v2/Git-Tools-Submodules*
- *https://www.educative.io/answers/how-to-specify-a-branch-tag-when-adding-a-git-submodule*
- *https://www.youtube.com/watch?v=lnCvyGIQong*

### 1.2 Updating Library

## 2. Library Structure

**0 = Passive**
&ensp;&ensp;0 = Resistor
&ensp;&ensp;&ensp;&ensp;0 = SMD
&ensp;&ensp;&ensp;&ensp;1 = THT
&ensp;&ensp;&ensp;&ensp;2 = Array
&ensp;&ensp;&ensp;&ensp;3 = Mechanical
&ensp;&ensp;&ensp;&ensp;4 = Special
&ensp;&ensp;*1 = Capacitor*
&ensp;&ensp;&ensp;&ensp;0 = SMD
&ensp;&ensp;&ensp;&ensp;1 = THT
&ensp;&ensp;&ensp;&ensp;2 = Array
&ensp;&ensp;&ensp;&ensp;3 = Mechanical
&ensp;&ensp;&ensp;&ensp;4 = Special
&ensp;&ensp;2 = Inductors
&ensp;&ensp;&ensp;&ensp;0 = SMD
&ensp;&ensp;&ensp;&ensp;1 = THT
&ensp;&ensp;&ensp;&ensp;2 = Array
&ensp;&ensp;&ensp;&ensp;3 = Mechanical
&ensp;&ensp;&ensp;&ensp;4 = Special
&ensp;&ensp;4 = Oscillators
&ensp;&ensp;&ensp;&ensp;0 = Crystal
&ensp;&ensp;&ensp;&ensp;1 = Oscillator
&ensp;&ensp;&ensp;&ensp;2 = Resonator
&ensp;&ensp;&ensp;&ensp;3 = Voltage Controlled
&ensp;&ensp;5 = Potentiometer
&ensp;&ensp;&ensp;&ensp;0 = Adjutable
&ensp;&ensp;&ensp;&ensp;1 = Rotary
&ensp;&ensp;&ensp;&ensp;3 = Scale
&ensp;&ensp;&ensp;&ensp;4 = Slide
&ensp;&ensp;&ensp;&ensp;5 = Trimmer
&ensp;&ensp;&ensp;&ensp;6 = Digital
&ensp;&ensp;6 = Antenna
&ensp;&ensp;&ensp;&ensp;0 = Bluetooth
&ensp;&ensp;&ensp;&ensp;1 = Wifi
&ensp;&ensp;&ensp;&ensp;2 = Sub-giga
&ensp;&ensp;&ensp;&ensp;3 = giga
&ensp;&ensp;&ensp;&ensp;4 = Propritary
&ensp;&ensp;&ensp;&ensp;5 = GSM/GPS
&ensp;&ensp;&ensp;&ensp;7 = RF

**1 = Active**
&ensp;&ensp;0 = Transistor
&ensp;&ensp;&ensp;&ensp;0 = Bipolar
&ensp;&ensp;&ensp;&ensp;1 = FET
&ensp;&ensp;&ensp;&ensp;2 = IGBT
&ensp;&ensp;&ensp;&ensp;3 = TRIAC
&ensp;&ensp;&ensp;&ensp;4 = SiC
&ensp;&ensp;&ensp;&ensp;5 = GaN
&ensp;&ensp;1 = Diodes
&ensp;&ensp;&ensp;&ensp;0 = Rectifier
&ensp;&ensp;&ensp;&ensp;1 = Zener
&ensp;&ensp;&ensp;&ensp;2 = RF
&ensp;&ensp;&ensp;&ensp;3 = Bridge
&ensp;&ensp;&ensp;&ensp;4 = UF
&ensp;&ensp;&ensp;&ensp;5 = Variable Capacitance
&ensp;&ensp;2 = Power
&ensp;&ensp;&ensp;&ensp;0 = Transitor
&ensp;&ensp;&ensp;&ensp;1 = Diodes
&ensp;&ensp;3 = Module
&ensp;&ensp;&ensp;&ensp;0 = Half Bridge
&ensp;&ensp;&ensp;&ensp;1 = Full Bridge
&ensp;&ensp;&ensp;&ensp;2 = Six packs
&ensp;&ensp;4 = Opto
&ensp;&ensp;5 = Solid state relay
&ensp;&ensp;6 = LED
&ensp;&ensp;7 = Opto
&ensp;&ensp;8 = Driver
&ensp;&ensp;&ensp;&ensp;0 = Relay
&ensp;&ensp;9 = Switch
&ensp;&ensp;&ensp;&ensp;0 = High Side Switches

**2 = Linear**
&ensp;&ensp;0 = Op-amp
&ensp;&ensp;1 = amplifier
&ensp;&ensp;2 = Fuse
&ensp;&ensp;3 = Switches
&ensp;&ensp;5 = Supervisor
&ensp;&ensp;6 = Protection
&ensp;&ensp;7 = Power
&ensp;&ensp;8 = Special

**3 = Power**
&ensp;&ensp;0 = LDO
&ensp;&ensp;&ensp;&ensp;0 = Standart
&ensp;&ensp;&ensp;&ensp;1 = Low Noise
&ensp;&ensp;&ensp;&ensp;2 = Ultra Low Noise
&ensp;&ensp;1 = SMPS
&ensp;&ensp;&ensp;&ensp;0 = Buck
&ensp;&ensp;&ensp;&ensp;1 = Boost
&ensp;&ensp;&ensp;&ensp;2 = Buckboost
&ensp;&ensp;&ensp;&ensp;3 = Multiple
&ensp;&ensp;&ensp;&ensp;4 = PMIC
&ensp;&ensp;2 = Voltage Reference
&ensp;&ensp;3 = led Driver
&ensp;&ensp;4 = Gate Driver
&ensp;&ensp;5 = Motor Driver
&ensp;&ensp;&ensp;&ensp;0 = DC
&ensp;&ensp;6 = ACDC
&ensp;&ensp;&ensp;&ensp;0 = module
&ensp;&ensp;7 = DCDC
&ensp;&ensp;&ensp;&ensp;0 = module
&ensp;&ensp;8 = Charger

**4 = Digital**
&ensp;&ensp;0 = MCU
&ensp;&ensp;&ensp;&ensp;0 = 8 Bit
&ensp;&ensp;&ensp;&ensp;1 = 16 Bit
&ensp;&ensp;&ensp;&ensp;2 = 32 Bit
&ensp;&ensp;&ensp;&ensp;&ensp;&ensp;0 = Microchip
&ensp;&ensp;&ensp;&ensp;&ensp;&ensp;1 = ST
&ensp;&ensp;&ensp;&ensp;&ensp;&ensp;2 = Ti
&ensp;&ensp;&ensp;&ensp;&ensp;&ensp;3 = Toshiba
&ensp;&ensp;&ensp;&ensp;&ensp;&ensp;4 = Cypress
&ensp;&ensp;&ensp;&ensp;&ensp;&ensp;5 = Infineon
&ensp;&ensp;&ensp;&ensp;&ensp;&ensp;6 = Epson
&ensp;&ensp;&ensp;&ensp;3 = 64 Bit
&ensp;&ensp;1 = FPGA
&ensp;&ensp;2 = DSP
&ensp;&ensp;3 = ASIC
&ensp;&ensp;4 = Audio
&ensp;&ensp;5 = Serial
&ensp;&ensp;6 = Clocks

**5 = Logic**
&ensp;&ensp;0 = Buffer
&ensp;&ensp;1 = Comparator
&ensp;&ensp;2 = Counter & Divider
&ensp;&ensp;3 = FIFO
&ensp;&ensp;4 = Flip Flop 
&ensp;&ensp;5 = Gates
&ensp;&ensp;&ensp;&ensp;0 = Inverter
&ensp;&ensp;&ensp;&ensp;1 = AND
&ensp;&ensp;6 = Latches
&ensp;&ensp;7 = Shift
&ensp;&ensp;8 = BUS
&ensp;&ensp;9 = Special

**6 = Memory**
&ensp;&ensp;0 = EEPROM
&ensp;&ensp;1 = NAND
&ensp;&ensp;2 = EMMC
&ensp;&ensp;3 = FLASH
&ensp;&ensp;4 = SD 

**7 = Sensors**
&ensp;&ensp;0 = Enviroment
&ensp;&ensp;1 = Temperature
&ensp;&ensp;&ensp;&ensp;0 = Digital
&ensp;&ensp;&ensp;&ensp;1 = Analogic
&ensp;&ensp;&ensp;&ensp;2 = RTD
&ensp;&ensp;&ensp;&ensp;3 = Thermistor
&ensp;&ensp;&ensp;&ensp;4 = Thermocouple
&ensp;&ensp;2 = MEMS
&ensp;&ensp;&ensp;&ensp;0 = Accelerometer
&ensp;&ensp;&ensp;&ensp;1 = Gyroscope
&ensp;&ensp;&ensp;&ensp;2 = Pressure
&ensp;&ensp;&ensp;&ensp;4 = X Dof
&ensp;&ensp;3 = Light
&ensp;&ensp;4 = Sound
&ensp;&ensp;5 = Proximity
&ensp;&ensp;6 = Hall
&ensp;&ensp;7 = Current
&ensp;&ensp;8 = Mechanical
&ensp;&ensp;9 = Special

**8 = Mechanical**
&ensp;&ensp;0 = Relay
&ensp;&ensp;&ensp;&ensp;0 = Monostable
&ensp;&ensp;&ensp;&ensp;1 = Bistable
&ensp;&ensp;1 = Connector
&ensp;&ensp;&ensp;&ensp;0 = Cable to board
&ensp;&ensp;&ensp;&ensp;1 = Board to board
&ensp;&ensp;&ensp;&ensp;2 = Lab 
&ensp;&ensp;&ensp;&ensp;3 = rectangular
&ensp;&ensp;&ensp;&ensp;4 = Circular
&ensp;&ensp;&ensp;&ensp;5 = Fiber / RJ
&ensp;&ensp;&ensp;&ensp;6 = Terminal blocks
&ensp;&ensp;&ensp;&ensp;7 = Serial
&ensp;&ensp;&ensp;&ensp;8 = USB
&ensp;&ensp;&ensp;&ensp;9 = Card Edge
&ensp;&ensp;2 = Cooling
&ensp;&ensp;3 = Fans
&ensp;&ensp;4 = Cables
&ensp;&ensp;5 = Mounting
&ensp;&ensp;6 = Switches
&ensp;&ensp;7 = Button
&ensp;&ensp;&ensp;&ensp;0 = SMD
&ensp;&ensp;&ensp;&ensp;1 = THT
&ensp;&ensp;8 = Encoders

**9 = Boards**
&ensp;&ensp;0 = Wireless
&ensp;&ensp;1 = Digital
&ensp;&ensp;3 = Display
&ensp;&ensp;4 = Sensor
&ensp;&ensp;5 = Analogic
&ensp;&ensp;6 = Power
&ensp;&ensp;7 = Mehanical
&ensp;&ensp;8 = Embedded
&ensp;&ensp;9 = Special

**10 = Electromechanics (these parts are excluded from board)**
&ensp;&ensp;0 = Contactors
&ensp;&ensp;1 = ACDC_Converters
&ensp;&ensp;2 = Resistors
&ensp;&ensp;3 = Capacitors
&ensp;&ensp;4 = Inductors
&ensp;&ensp;5 = Switches

## How to contribute
